Index: issm/branches/trunk-jpl-damage/README
===================================================================
--- issm/branches/trunk-jpl-damage/README	(revision 12877)
+++ issm/branches/trunk-jpl-damage/README	(revision 12878)
@@ -22,5 +22,5 @@
 ------------------------------------------------------------------------------
 
-Website: ttp://issm.jpl.nasa.gov/ for additional information.
+Website: http://issm.jpl.nasa.gov/ for additional information.
 
 ------------------------------------------------------------------------------
Index: issm/branches/trunk-jpl-damage/configs/config-arm-linux.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-arm-linux.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/configs/config-arm-linux.sh	(revision 12878)
@@ -3,11 +3,9 @@
 ./configure \
 	--prefix=$ISSM_DIR \
-    --host="arm-linux" \
+    --build="i386-apple-darwin10.8.0" \
+    --host="arm-linux-androideabi" \
+    --enable-shared \
+    --without-fortran \
 	--without-modules \
-    CC=$ANDROID_DIR/arm-linux-android-4.0/bin/arm-linux-androideabi-gcc \
-    GCC=$ANDROID_DIR/arm-linux-android-4.0/bin/arm-linux-androideabi-gcc \
-    CXX=$ANDROID_DIR/arm-linux-android-4.0/bin/arm-linux-androideabi-g++ \
-	--with-vendor=arm-linux \
-	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
-	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install\
-    --without-fortran-lib
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install 
Index: issm/branches/trunk-jpl-damage/configs/config-discover.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-discover.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-discover.sh	(revision 12878)
@@ -0,0 +1,27 @@
+#!/bin/csh
+
+#PETSc 3.2
+#MPI /usr/local/intel/mpi/4.0.3.008/lib64/
+
+./configure \
+ --prefix=$ISSM_DIR \
+ --with-matlab-dir=$MATLAB_DIR \
+ --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-mkl-dir="/usr/local/intel/mkl/10.1.2.024/lib/64/" \
+ --with-mpi-include="/usr/local/intel/mpi/4.0.3.008/include64/" \
+ --with-mpi-lib="-L/usr/local/intel/mpi/4.0.3.008/lib64/ -lmpi -lmpiif" \
+ --with-petsc-arch=$ISSM_ARCH \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+ --with-scalapack-dir="/usr/local/intel/mkl/10.1.2.024/lib/64/" \
+ --with-blacs-dir="/usr/local/intel/mkl/10.1.2.024/lib/64/" \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blas-lapack-dir="/usr/local/intel/mkl/10.1.2.024/lib/64/" \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-graphics-lib=/usr/lib64/libX11.so \
+ --with-cxxoptflags="-O3 -xS" \
+ --with-vendor=intel-discover
+
Index: issm/branches/trunk-jpl-damage/configs/config-greenplanet.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-greenplanet.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/configs/config-greenplanet.sh	(revision 12878)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/sh
 
 #PETSc 3.2
@@ -10,4 +10,5 @@
  --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
  --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
  --with-mpi-include="/sopt/mpi/openmpi-1.5.4_psm/intel/include/" \
  --with-mpi-lib="-L/sopt/mpi/openmpi-1.5.4_psm/intel/lib/ -lmpi -lmpi_f77" \
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-ad.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-ad.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-ad.sh	(revision 12878)
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--without-modules\
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install\
+	--without-thermal \
+	--without-control \
+	--without-hydrology \
+	--without-diagnostic \
+	--without-balanced \
+	--without-responses \
+	--without-slope \
+	--without-rifts \
+	--without-steadystate \
+	--without-transient \
+	--without-3d \
+	--without-groundingline \
+	--without-kriging  \
+	--with-adolc-dir=$ADOLC_DIR 
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-petsc3.3.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-petsc3.3.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-petsc3.3.sh	(revision 12878)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+#External packages versions:
+#petsc 3.3
+#mpich 1.4
+
+./configure \
+ --prefix=$ISSM_DIR \
+ --with-matlab-dir=$MATLAB_DIR \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/petsc/src/externalpackages/metis-5.0.2-p3 \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich -lmpl " \
+ --with-petsc-arch=$ISSM_ARCH \
+ --with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+ --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
+ --with-shapelib-dir="$ISSM_DIR/externalpackages/shapelib/install" \
+ --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
+ --with-graphics-lib=/usr/lib64/libX11.so \
+ --with-cxxoptflags="-march=opteron -O2" \
+ --with-numthreads=16 \
+ --enable-debugging
+ #--with-serial=no \
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-petscdev.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-petscdev.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-petscdev.sh	(revision 12878)
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+#External packages versions:
+#petsc Dev: FH trying out
+#mpich 1.4
+
+./configure \
+ --prefix=$ISSM_DIR \
+ --with-matlab-dir=$MATLAB_DIR \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/petsc/src/externalpackages/metis-5.0.2-p3 \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich -lmpl " \
+ --with-petsc-arch=$ISSM_ARCH \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-spai-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-hypre-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-prometheus-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-superlu-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-spooles-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-pastix-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+ --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
+ --with-shapelib-dir="$ISSM_DIR/externalpackages/shapelib/install" \
+ --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
+ --with-graphics-lib=/usr/lib64/libX11.so \
+ --with-cxxoptflags="-march=opteron -O2" \
+ --with-numthreads=32 \
+ --enable-debugging
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-python.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-python.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-python.sh	(revision 12878)
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+#External packages versions:
+#petsc 3.1 or 3.2
+#mpich 1.4
+
+./configure \
+ --prefix=$ISSM_DIR \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-python-dir=$ISSM_DIR/externalpackages/python/install\
+ --with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/lib/python2.7/site-packages/numpy/core/include/numpy\
+ --with-python-version=2.7\
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich " \
+ --with-petsc-arch=$ISSM_ARCH \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
+ --with-graphics-lib=/usr/lib64/libX11.so \
+ --with-cxxoptflags="-march=opteron -O2 -lutil" \
+ --with-numthreads=32 \
+ --enable-debugging
Index: issm/branches/trunk-jpl-damage/configs/config-macosx-snowleopard-bothapis.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx-snowleopard-bothapis.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx-snowleopard-bothapis.sh	(revision 12878)
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+#export FCFLAGS=" -m32"
+#export FFLAGS=" -m32"
+#export CFLAGS=" -arch i386"
+#export CXXFLAGS=" -arch i386"
+
+pythonversion=2.7
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/$pythonversion/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-fortran-lib="/usr/local/gfortran/lib/gcc/x86_64-apple-darwin10/4.6.2/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
+	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch i386 -DMX_COMPAT_32 -O3 -DNDEBUG -w "\
+	--with-numthreads=8 \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
Index: issm/branches/trunk-jpl-damage/configs/config-macosx-snowleopard-python.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx-snowleopard-python.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx-snowleopard-python.sh	(revision 12878)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+pythonversion=2.7
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Library/Frameworks/Python.framework/Versions/$pythonversion/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-fortran-lib="/usr/local/gfortran/lib/gcc/x86_64-apple-darwin10/4.6.2/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
+	--with-cxxoptflags=" -fno-common -fexceptions -O3 -DNDEBUG -w "\
+	--with-numthreads=8 \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-ad.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-ad.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-ad.sh	(revision 12878)
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--without-modules\
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install\
+	--without-thermal \
+	--without-control \
+	--without-hydrology \
+	--without-diagnostic \
+	--without-balanced \
+	--without-responses \
+	--without-slope \
+	--without-rifts \
+	--without-steadystate \
+	--without-transient \
+	--without-3d \
+	--without-groundingline
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-chris.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-chris.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-chris.sh	(revision 12878)
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+	--with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
+	--with-fortran-lib="/usr/local/gfortran/lib/gcc/x86_64-apple-darwin10/4.6.2/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
+	--with-cxxoptflags=" -fno-common -fexceptions -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
+	--with-numthreads=8
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-gsl.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-gsl.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-gsl.sh	(revision 12878)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--without-modules\
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install
+	#--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install 
+    #--without-fortran-lib
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-ad.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-ad.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-ad.sh	(revision 12878)
@@ -1,23 +1,7 @@
 #!/bin/sh
 
-#petsc 3.2
-#mpich 1.4
-
 ./configure \
-	--with-serial=no\
 	--prefix=$ISSM_DIR \
-	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
-	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
-	--without-blas-lapack-dir \
-	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
-	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
-	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
-	--with-math-lib="/usr/lib/libm.dylib" \
-	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
-	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
-	--with-adic2-dir=$ISSM_DIR/externalpackages/adic/install/ \
-	--with-adolc-dir=$ISSM_DIR/externalpackages/adolc/install/ \
-	--with-numthreads=8 \
+	--without-modules\
 	--without-thermal \
 	--without-control \
@@ -31,13 +15,6 @@
 	--without-transient \
 	--without-3d \
-	--without-groundingline
- 
-#--without-prognostic \
-#--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
-#--with-petsc-arch=$ISSM_ARCH \
-#--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
-#--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
-#--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
-#--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
-#--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
-#--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--without-groundingline \
+	--without-kriging  \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install
+	#--with-adolc-dir=$ISSM_DIR/externalpackages/adolc/install\
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-python.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-python.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-python.sh	(revision 12878)
@@ -4,9 +4,12 @@
 #mpich 1.4
 
+pythonversion=2.7
+
 ./configure \
 	--prefix=$ISSM_DIR \
 	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
 	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
-	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/3.2/lib/python3.2/site-packages/numpy/core/include/numpy\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
 	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
 	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-larour.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-larour.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-larour.sh	(revision 12878)
@@ -24,4 +24,4 @@
 	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
-	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install 
Index: issm/branches/trunk-jpl-damage/configs/config-pleiades-petscdev.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-pleiades-petscdev.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/configs/config-pleiades-petscdev.sh	(revision 12878)
@@ -0,0 +1,28 @@
+#!/bin/csh
+
+./configure \
+ --prefix=$ISSM_DIR \
+ --with-modules=no \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/petsc/src/externalpackages/metis-5.0.2-p3 \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
+ --with-mpi-include=/nasa/sgi/mpt/2.04/include \
+ --with-mpi-lib="-L/nasa/sgi/mpt/2.04/lib/ -lmpi -lpthread -lgfortran" \
+ --with-petsc-arch=$ISSM_ARCH \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+ --with-mkl-dir=/nasa/intel/mkl/10.0.011/lib/64/ \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/src/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-spai-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-hypre-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-prometheus-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-superlu-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-spooles-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-pastix-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-graphics-lib=/usr/lib64/libX11.so \
+ --with-cxxoptflags="-O3 -xS" \
+ --with-vendor=intel-pleiades
Index: issm/branches/trunk-jpl-damage/configure.ac
===================================================================
--- issm/branches/trunk-jpl-damage/configure.ac	(revision 12877)
+++ issm/branches/trunk-jpl-damage/configure.ac	(revision 12878)
@@ -2,5 +2,5 @@
 
 #AUTOCONF
-AC_INIT([ISSM],[4.1],[issm@jpl.nasa.gov],[issm],[http://issm.jpl.nasa.gov]) #Initializing configure
+AC_INIT([ISSM],[4.2.1],[issm@jpl.nasa.gov],[issm],[http://issm.jpl.nasa.gov]) #Initializing configure
 AC_CONFIG_AUX_DIR([./aux-config])         #Put config files in aux-config
 AC_CONFIG_MACRO_DIR([m4])                 #m4 macros are located in m4
@@ -10,7 +10,6 @@
 AC_PROG_CPP
 AC_PROG_CXX([cccl cl icl g++])
-#AC_PROG_F77([ifort g77 gfortran])
+AC_PROG_F77([ifort g77 gfortran])
 #Libraries and linking
-AC_PROG_RANLIB
 AC_F77_LIBRARY_LDFLAGS
 AC_PATH_XTRA      #figure out X library and include paths
@@ -23,6 +22,11 @@
 AM_PROG_CC_C_O
 
-##LIBTOOL?
-#AC_PROG_LIBTOOL
+AM_PROG_AR
+AC_PROG_RANLIB
+
+# To produce shared libraries uncomment LT_INIT. In theory, Libtool can be initialized
+# even if all linking is static, since, if not shared libraries are to be produce, libtool
+# will act simply as a wrapper around AR and Ranlib.
+#
 #LT_INIT
 
@@ -31,5 +35,4 @@
 
 #AM_PROG_AR must be placed after ISSM_OPTIONS
-AM_PROG_AR
 
 #List all Makefiles
Index: issm/branches/trunk-jpl-damage/etc/environment.csh
===================================================================
--- issm/branches/trunk-jpl-damage/etc/environment.csh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/etc/environment.csh	(revision 12878)
@@ -127,2 +127,14 @@
 setenv VALGRIND_DIR {$VALGRIND_DIR}
 setenv PATH {$PATH}:{$VALGRIND_DIR}
+
+#MERCURIAL
+#setenv PYTHONPATH {$PYTHONPATH}:{$MERCURIAL_DIR}/mercurial/pure/
+setenv PYTHONPATH {$MERCURIAL_DIR}/mercurial/pure/
+setenv PATH {$PATH}:{$MERCURIAL_DIR}
+
+#GSL
+setenv GSL_DIR {$GSL_DIR}
+setenv LD_LIBRARY_PATH {$LD_LIBRARY_PATH}:{$GSL_DIR}/lib
+
+#CMAKE
+setenv PATH {$PATH}:{$CMAKE_DIR}/bin
Index: issm/branches/trunk-jpl-damage/etc/environment.sh
===================================================================
--- issm/branches/trunk-jpl-damage/etc/environment.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/etc/environment.sh	(revision 12878)
@@ -39,5 +39,5 @@
 #PETSC
 export PETSC_DIR
-export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$PETSC_DIR/lib/$ISSM_ARCH"
+export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$PETSC_DIR/lib/$ISSM_ARCH:$PETSC_DIR/lib"
 export LD_RUN_PATH="$LD_RUN_PATH:$PETSC_DIR/lib/$ISSM_ARCH"
 
@@ -262,5 +262,5 @@
 export PATH="$PYTHON_DIR/bin:$PATH"
 export PYTHONPATH="$PYTHONPATH:$ISSM_DIR/src/modules/python"
-export LD_LIBRARY_PATH=$ISSM_DIR/src/modules/python:$LD_LIBRARY_PATH
+export LD_LIBRARY_PATH=$ISSM_DIR/src/modules/python:$ISSM_DIR/externalpackages/python/install/lib:$LD_LIBRARY_PATH
 export PYTHONSTARTUP
 
@@ -270,2 +270,26 @@
 #GIT
 export PATH="$PATH:$GIT_DIR/install/bin"
+
+#NCVIEW
+export PATH="$PATH:$NCVIEW_DIR/install"
+
+#TCLX
+export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$TCLX_DIR"
+export LD_RUN_PATH="$LD_RUN_PATH:$TCLX_DIR"
+
+
+#ASPELL
+export PATH="$ASPELL_DIR/install/bin:$PATH"
+
+
+#ESMF
+export ESMF_DIR=$ISSM_DIR/externalpackages/esmf/esmf
+export ESMF_COMPILER=gfortran
+export ESMF_COMM=mpich2
+
+#HDF5
+export DYLD_LIBRARY_PATH="$DYLD_LIBRARY_PATH:$HDF5_DIR/lib"
+export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$HDF5_DIR/lib"
+export LIBRARY_PATH="$LIBRARY_PATH:$HDF5_DIR/lib"
+export C_INCLUDE_PATH="$C_INCLUDE_PATH:$HDF5_DIR/include"
+
Index: issm/branches/trunk-jpl-damage/etc/environment_variables.csh
===================================================================
--- issm/branches/trunk-jpl-damage/etc/environment_variables.csh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/etc/environment_variables.csh	(revision 12878)
@@ -81,4 +81,13 @@
 set SSH_DIR={$ISSM_DIR}/externalpackages/ssh
 
+#mercurial
+set MERCURIAL_DIR={$ISSM_DIR}/externalpackages/mercurial/install
+
 #valgrind
 set VALGRIND_DIR={$ISSM_DIR}/externalpackages/valgrind/install/bin
+
+#gsl
+set GSL_DIR={$ISSM_DIR}/externalpackages/gsl/install
+
+#cmake
+set CMAKE_DIR={$ISSM_DIR}/externalpackages/cmake/install
Index: issm/branches/trunk-jpl-damage/etc/environment_variables.sh
===================================================================
--- issm/branches/trunk-jpl-damage/etc/environment_variables.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/etc/environment_variables.sh	(revision 12878)
@@ -182,7 +182,4 @@
 ANDROID_SDK_DIR="$ANDROID_DIR/android-sdk/install-sdk"
 
-#android-ant
-ANDROID_ANT_DIR="$ANDROID_DIR/android-sdk/install-ant"
-
 #gsl
 GSL_DIR="$ISSM_DIR/externalpackages/gsl/install"
@@ -192,4 +189,5 @@
 
 #PYTHON
+PYTHON_VER=2.7
 PYTHON_DIR="$ISSM_DIR/externalpackages/python/install"
 PYTHONSTARTUP="$ISSM_DIR/startup.py"
@@ -201,2 +199,14 @@
 #GIT
 GIT_DIR="$ISSM_DIR/externalpackages/git"
+
+#NCVIEW
+NCVIEW_DIR="$ISSM_DIR/externalpackages/ncview"
+
+#TCLX
+TCLX_DIR="$ISSM_DIR/externalpackages/tclx/install/lib/tclx8.4"
+
+#ASPELL
+ASPELL_DIR="$ISSM_DIR/externalpackages/aspell/"
+
+#HDF5
+export HDF5_DIR=$ISSM_DIR/externalpackages/hdf5/install
Index: issm/branches/trunk-jpl-damage/externalpackages/adolc/install-macosx64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/adolc/install-macosx64.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/adolc/install-macosx64.sh	(revision 12878)
@@ -0,0 +1,61 @@
+#!/bin/bash
+
+#some issues on macosx64 with ISSM's autoconf. you might want to run native to mac on this.
+
+#Some cleanup
+rm -rf install ADOL-C-2.2.0 src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/ADOL-C-2.2.0.tar.gz' 'ADOL-C-2.2.0.tar.gz'
+
+#Create install directories
+mkdir install src
+
+#Untar 
+tar -zxvf  ADOL-C-2.2.0.tar.gz
+
+#Move ADOL-C into install directory
+mv ADOL-C-2.2.0/* src
+rm -rf ADOL-C-2.2.0
+
+#Compile ADOL-C
+cd src 
+
+#export CC=gcc
+#export CXX=g++
+#export CFLAGS="-arch x86_64"
+#export CXXFLAGS="-arch x86_64"
+
+./configure \
+	--prefix=$ISSM_DIR/externalpackages/adolc/install \
+	--enable-sparse \
+	--enable-docexa \
+	--enable-addexa \
+	--disable-shave
+
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+
+#Ok, bug with libtool: replace all LIBTOOL= by LIBTOOL=libtool 
+#in all Makefiles
+for i in `find ./ -name Makefile `
+do
+	echo $i
+	cat $i | sed 's/LIBTOOL =/LIBTOOL = libtool/g' > $i.bak 
+	mv $i.bak $i
+done
+
+#remake: 
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+
Index: issm/branches/trunk-jpl-damage/externalpackages/adolc/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/adolc/install.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/adolc/install.sh	(revision 12878)
@@ -22,4 +22,9 @@
 cd src 
 
+export CC=gcc
+export CXX=g++
+export CFLAGS="-arch x86_64"
+export CXXFLAGS="-arch x86_64"
+
 ./configure \
 	--prefix=$ISSM_DIR/externalpackages/adolc/install \
